MySQL++ Reference Manual

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::ssqlsxlat::CommandLine Class Reference

Command line parser for MySQL++'s ssqlsxlat tool. More...

`#include <cmdline.h>`

Inheritance diagram for mysqlpp::ssqlsxlat::CommandLine:

[legend]
Collaboration diagram for mysqlpp::ssqlsxlat::CommandLine:

[legend]
List of all members.

## Public Types
| ss_unknown
| no known input type given yet
| ss_ssqls1
| a C++ file containing an SSQLS v1 declaration
| ss_ssqls2
| an SSQLS v2 file
| ss_table
| an existing DB table schema
enum | SourceSink { ss_unknown, ss_ssqls1, ss_ssqls2, ss_table }
| Types of inputs that ssqlsxlat will accept. More...
## Public Member Functions
| CommandLine (int argc, char *const argv[])
| Constructor.
void | print_usage () const
| Show a message explaining the program's proper usage.
const char * | input () const
| Return the name of the input source.
SourceSink | input_source () const
| The input source type.
SourceSink | output_sink () const
| The output sink (destination) type.
const char * | output () const
| The base name of the output file.
const char * | pass () const
| DB password, when input type is is_table.
const char * | server () const
| DB server name, when input type is is_table.
const char * | user () const
| DB user name, when input type is is_table.

## Detailed Description

Command line parser for MySQL++'s ssqlsxlat tool.

## Member Enumeration Documentation

enum mysqlpp::ssqlsxlat::CommandLine::SourceSink

Types of inputs that ssqlsxlat will accept.

Public types

Enumerator:

  ss_unknown | no known input type given yet
  ss_ssqls1 | a C++ file containing an SSQLS v1 declaration
  ss_ssqls2 | an SSQLS v2 file
  ss_table | an existing DB table schema

## Constructor & Destructor Documentation

mysqlpp::ssqlsxlat::CommandLine::CommandLine | ( | int | argc,
|  | char *const | argv[] |
| ) |  |  |

Constructor.

Public interface

## Member Function Documentation

const char* mysqlpp::ssqlsxlat::CommandLine::input | ( |  | ) | const`[inline]`

Return the name of the input source.

This can be a file name, a table name, etc. Call input_source() to determine the proper interpretation.

The documentation for this class was generated from the following files:

- cmdline.h
- cmdline.cpp